package org.ts.ddcs.common.dict;

/**
 * @author dylan
 */

public enum BaseSettingFlag {
    /**
     * 中心站地址
     */
    CENTER_ADD("01","中心站地址"),RTU_CODE("02","遥测站地址"),PASSWORD("03","密码"),IP1("04","中心站1主信道类型及地址"),IP1_SUB("05","中心站1备用信道类型及地址"),
    IP2("06","中心站1主信道类型及地址"),IP2_SUB("07","中心站1备用信道类型及地址"),IP3("08","中心站1主信道类型及地址"),IP3_SUB("09","中心站1备用信道类型及地址"),
    IP4("0A","中心站1主信道类型及地址"),IP4_SUB("0B","中心站1备用信道类型及地址"), WORK_TYPE("0C","工作方式"),COLLECT_SETTING("0D","遥测站采集要素设置"),
    SERVER_ADD("0E","中继站(集合转发站)服务地址范围"),DEVICE_ID("0F","遥测站通信设备识别号"),WORK_MODEL("30","工作方式"),RTU_KIND("31","测站类型"),RAIN_PERCEN("32","雨量分辩率"),BLUETOOTH("33","蓝牙开关");



    private final String id;
    private final String name;

    BaseSettingFlag(String id, String name) {
        this.id = id;
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }
}
